## tkusr 0.77

=== Makefile ===
#
# Makefile for TkUsr 
#

CC	= gcc
CFLAGS	= -O2 -Wall

DESTDIR	= 
BIN	= $(DESTDIR)/usr/bin
MAN	= $(DESTDIR)/usr/man/man1

tkusr: usrnew.tcl Makefile
	sed 's/set device.test. 1/set device(test) 0/;\
	1s/.*/#!\/usr\/bin\/wish/' < usrnew.tcl > tkusr
	chmod 755 tkusr

install: tkusr
	mkdir -p $(BIN)
	mkdir -p $(MAN)
	install -m 755 tkusr $(BIN)/tkusr
	install -m 644 tkusr.1 $(MAN)

tar: tkusr.txt tkusr.html tkusr	
	tar cvzf tkusr-latest.tar.gz CHANGES README COPYING tkusr \
	tkusr.html tkusr.txt Makefile debian

#tkusr.txt: tkusr.html
#	lynx -dump -nolist tkusr.html > tkusr.txt

mktclapp: mktclapp.o

tkusr.bin: tkusr.c
	$(CC) tkusr.c -ltk8.0 -static -L/opt/tclo/lib  -ltcl8.0 -lm -ldl -L/usr/X11R6/lib -lX11 -o tkusr.bin

tkusr.c: TkUsr mktclapp
	./mktclapp -header > tkusr.h
	./mktclapp -f tkusr.mta > tkusr.c

clean:
	rm -f *.o mktclapp tkusr.bin tkusr.c tkusr.h

.PHONY: clean tar

=== debian/changelog ===
tkusr (0.77) unstable; urgency=low

  * Resize bug fixed
  * Spelling error in description corrected (Closes: Bug#125422). 

 -- Ludovic Drolez <ldrolez@debian.org>  Sat,  5 Jan 2002 14:07:45 +0100

tkusr (0.76) unstable; urgency=low

  * X Menu entry did not point to the right directory. 
  * force default GUI colors

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 28 Nov 2001 23:04:40 +0100

tkusr (0.75) unstable; urgency=low

  * Improved the modem detection code: 0.74 could lock sometimes 
  * Standards version: 3.5.6 

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 26 Nov 2001 23:42:59 +0100

tkusr (0.74) unstable; urgency=low

  * Fixed a small bug reported by Klaus Fuerstberger

 -- Ludovic Drolez <ldrolez@debian.org>  Sat,  6 Oct 2001 00:11:07 +0200

tkusr (0.73) unstable; urgency=low

  * Only one changelog: the Debian one
  * Changed dependencies
  * Always open the modem in non-blocking mode
  
 -- Ludovic Drolez <ldrolez@free.fr>  Sat, 11 Aug 2001 13:55:26 +0200

tkusr (0.72-1) unstable; urgency=low

  * Added a warning if the modem does not seem to be a 3COM/USR one.
  * TkUsr now checks if the serial port is locked
  * Added in the man page, what to do if TkUsr seems stuck.
  * Standards version: 3.5.5 

 -- Ludovic Drolez <ldrolez@free.fr>  Thu,  2 Aug 2001 21:40:02 +0200

tkusr (0.71-1) unstable; urgency=low

  * Initial release: Debianized tkusr
  * Added a man page

 -- Ludovic Drolez <ldrolez@free.fr>  Tue, 19 Jun 2001 22:23:12 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: tkusr
Section: comm
Priority: extra
Maintainer: Ludovic Drolez <ldrolez@debian.org>
Standards-Version: 3.5.6

Package: tkusr
Architecture: all
Depends: tk8.3 | wish
Suggests: sox
Description: X11 tool to manage the Self-mode of USR/3COM Message modems.
 TkUsr is a small program that allows you to manage the Self-mode of
 USR/3COM Message (Plus), Professional Message modems.
 It features an intelligent retrieving of data with a cache system to
 speed up the download. So you do not have to download the full memory
 to get only one fax.
 It should be multi-platform as it is written in Tcl/Tk.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=tkusr

build:
	$(checkdir)
	
	$(MAKE) tkusr
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd CHANGES README 
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary-arch: checkroot build
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## tkusr 0.81

=== debian/changelog ===
tkusr (0.81) unstable; urgency=low

  * Debian package build bug fixed. Closes: Bug#190608

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 2 May 2003 14:00:05 +0100

tkusr (0.80) unstable; urgency=low

  * Fax printing
  * Check for garbage in the phoneid field. Closes: Bug#179650

 -- Ludovic Drolez <ldrolez@debian.org>  Tue, 11 Mar 2003 23:54:28 +0100

tkusr (0.78) unstable; urgency=low

  * Support for new models
  * Display a message when writing sth to memory

 -- Ludovic Drolez <ldrolez@debian.org>  Sun, 22 Sep 2002 12:41:32 +0200

=== debian/control ===
Source: tkusr
Section: comm
Priority: extra
Maintainer: Ludovic Drolez <ldrolez@debian.org>
Standards-Version: 3.5.9
Build-Depends-Indep: debmake

Package: tkusr
Architecture: all
Depends: tk8.3 | wish
Suggests: sox
Description: GUI to manage the Self-mode of USR/3COM Message modems
 TkUsr is a small program that allows you to manage the Self-mode of
 USR/3COM Message (Plus), Professional Message modems. With it you can
 view, print, save faxes and voice messages stored on your modem.
 It features an intelligent retrieving of data with a cache system to
 speed up the download. So you do not have to download the full memory
 to get only one fax.
 It should be multi-platform as it is written in Tcl/Tk.

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,6 @@
 	$(checkdir)
 	-rm -rf debian/tmp
 	install -d debian/tmp
-	cd debian/tmp && install -d `cat ../dirs`
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp
 # Must have debmake installed for this to work. Otherwise please copy
 # /usr/bin/debstd into the debian directory and change debstd to debian/debstd

## tkusr 0.82

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 tkusr.bin: tkusr.c
 	$(CC) tkusr.c -ltk8.0 -static -L/opt/tclo/lib  -ltcl8.0 -lm -ldl -L/usr/X11R6/lib -lX11 -o tkusr.bin
 
-tkusr.c: TkUsr mktclapp
+tkusr.c: tkusr mktclapp
 	./mktclapp -header > tkusr.h
 	./mktclapp -f tkusr.mta > tkusr.c

=== debian/changelog ===
tkusr (0.82) unstable; urgency=high

  * Use OLDCHANGES instead of CHANGES in debstd call. Closes: Bug#292842
  * Added a few quotes in the menu file.

 -- Ludovic Drolez <ldrolez@debian.org>  Mon,  2 Jan 2006 21:24:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: comm
 Priority: extra
 Maintainer: Ludovic Drolez <ldrolez@debian.org>
-Standards-Version: 3.5.9
+Standards-Version: 3.6.2
 Build-Depends-Indep: debmake
 
 Package: tkusr

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp
 # Must have debmake installed for this to work. Otherwise please copy
 # /usr/bin/debstd into the debian directory and change debstd to debian/debstd
-	debstd CHANGES README 
+	debstd OLDCHANGES README 
 	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
